/*-------------------------- 全体 --------------------------*/
body{
    line-height: 1.5;
    font-family: "Noto Sans JP";
    color: var(--wp--preset--color--textblack) !important;;
}

/* ロゴ */
.wp-block-site-logo img {
    width: 64px;
    max-width: initial;
}

.wp-site-blocks{
    overflow: hidden;
}

a {
    text-decoration: none;
    transition: .5s ease;
}

a:hover{
    color: #7dd7f3;
}

main{
    margin-top: 98px;
    z-index: 8;
    padding-bottom: 100px !important;
}

.top {
    padding-bottom: initial !important;
}

h1, h2, h3, h4,.h2_deco{
    font-weight: 500 !important;
    color: var(--wp--preset--color--mainblue) !important;
}

h1{
    padding-left: 20px;
    line-height: 2;
    border-left: 6px solid;
    border-left-color: var(--wp--preset--color--accent);
}

h2{
    padding-top: 30px;
    width: fit-content;
    padding-left: 20px;
    padding-right: 20px;
    background: linear-gradient(transparent 80%, var(--wp--preset--color--accent) 30%);
}

.h2_deco{
    padding-top: 30px;
    width: fit-content;
    padding-left: 20px;
    padding-right: 20px;
    font-size: 1.5em;
    margin-top: 0;
    background: linear-gradient(transparent 80%, var(--wp--preset--color--accent) 30%);
}

main .wp-block-group{
    margin-bottom: 120px;
}

main .wp-block-group:nth-child(1){
    margin-top: 80px;
}

.news .wp-block-group,
.top_news .wp-block-group{
    margin: 0 auto !important;
}

.facility_contents{
    margin-top: 20px !important;
}

.facility_gr {
    margin-bottom: initial !important;
}



/* 背景のドット */
main{
    min-height: 55vh;
    padding: 60px 0 0;
    position: relative;
}

main::before{
    content: "";
    background-image: url(https://no-ble.com/wp-content/uploads/2026/01/dot.png);
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    top: 10%;
    left: -5%;
    width: 280px;
    height: 280px;
    z-index: -1;
}

main::after{
    content: "";
    background-image: url(https://no-ble.com/wp-content/uploads/2026/01/dot.png);
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    bottom: 10%;
    right: -5%;
    width: 280px;
    height: 280px;
    z-index: -1;
}

/* TOPの背景のドット */
.top::before,
.top::after{
    display: none;
}

.greeting_out {
    margin-left: initial !important;
    margin-right: initial !important;
    position: relative;
}

.greeting_out::before {
    content: "";
    background-image: url(https://no-ble.com/wp-content/uploads/2026/01/dot.png);
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    top: 10%;
    left: -5%;
    width: 280px;
    height: 280px;
    z-index: -1;
}

.greeting_out::after{
    content: "";
    background-image: url(https://no-ble.com/wp-content/uploads/2026/01/dot.png);
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    bottom: 10%;
    right: -5%;
    width: 280px;
    height: 280px;
    z-index: -1;
}

@media screen and (max-width:599px) {
    .greeting_out::before,
    .greeting_out::after,
    main::before,
    main::after{
    background-image: initial;
}
}


@media screen and (max-width:1250px) {
    .wp-block-group {
    padding-left: 10px;
    padding-right: 10px;
}

    .top > .wp-block-group {
    padding-top: 0;
}


.top > .wp-block-group:nth-child(1) {
    margin-top: 0;
}

.top{
    margin-top: 80px;
}

}

@media screen and (max-width:768px) {

    main .wp-block-group {
    padding-top: 60px;
    margin-bottom: 60px;
}

.top_group1{
  padding-top: 0 !important;
}

.news .wp-block-group,
.top_news .wp-block-group{
    padding-top: initial !important;
}

.facility_contents{
    padding-top: 20px !important;
}

.top {
        margin-top: 10px;
    }

.greeting {
    margin-top: 0 !important;
    padding-top: 20px !important;
}

.greeting_contents{
    padding-top: 0 !important;
}
}


@media (min-width: 600px) and (max-width: 709px) {
 main {
    padding-top: 180px;
}

 main {
    padding-top: 100px;
}
}


/* テーブル全体 */
td:nth-of-type(2n-1){
    color: var(--wp--preset--color--mainblue);
    width: 40%;
    border: initial;
    border-bottom: 1px solid;
}

td:nth-of-type(2n){
    border: initial;
    width: 70%;
    border-bottom: 1px solid var(--wp--preset--color--mainblue);
}


table{
    width: 100%;
    table-layout: fixed;
}

.wp-block-table{
    padding: 30px 0;
}

/*-------------------------- ヘッダー --------------------------*/

/* ヘッダー全体 */
header{
    box-shadow: 0px 10px 9px -8px rgba(0, 0, 0, 0.3);
    position: fixed;
    z-index: 10;
    width: 100%;
}

/* 会社名 */
.company_name{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    color: var(--wp--preset--color--mainblue);
    line-height: 1.2;
}

.company_name span:nth-child(2){
    font-size:2rem;
}

/* ヘッダーリスト */
.header_inner {
    padding: 15px 30px !important;
}

.wp-block-navigation-item{
    border-left: 1px solid var(--wp--preset--color--mainblue);
    padding:10px 25px !important;
    transition: .8s ease;
    position: relative;
}

.header_inner ul{
    gap: initial !important;
}

/* グローバルメニューホバーアニメーション */
.wp-block-navigation-item::before{
    content: "";
    background-color: var(--wp--preset--color--accent);
    width: 45px;
    height: 45px;
    border-radius: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    opacity: 0;
    transition: .5s ease;
}

.wp-block-navigation-item:hover::before {
    opacity: 1;
}

@media screen and (max-width:599px) {
    .wp-block-navigation-item{
    border-left: initial;
}
}

@media screen and (max-width:400px) {
    .header_inner {
    padding-left: 0px !important;
    padding-right: 0px !important;
}
}


@media screen and (max-width: 340px) {
    .wp-block-group {
        padding-left: 3px;
        padding-right: 3px;
    }
}


/*-------------------------- スライダー --------------------------*/
.n2-ss-slider-wrapper-inside{
    height: 90vh;
}

.slider{
    position: relative;
    margin: 89px 0 0 !important;
}

/* キャッチコピー */

.catchphrase {
    position: absolute;
    top: 50%;
    left: 10%;
    transform: translateY(-50%);
}

.catchphrase p{
    position: relative;
    width: fit-content;
    margin-left: initial !important;
    padding: 0 10px;
}

@media screen and (max-width:768px) {
    .catchphrase p{
        font-size: clamp(16px,7vw,36px) !important;
    }
}

.catchphrase p::after{
    content: "";
    background-color: #fff;
    width: 100%;
    height: 40px;
    position: absolute;
    bottom: 0%;
    left: 0%;
    z-index: -1;
    box-shadow: 0px 6px 9px -3px rgba(0, 0, 0, 0.35);
    animation-name: LineSlide;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-timing-function: ease-in-out;

}

/* キャッチコピーアニメーション */

@keyframes LineSlide{
/* 開始地点 */
 0%{
    width: 0;
 }

 100%{
    width: 100%;
 }
}

.catchphrase_en{
    position: absolute;
    top: 95%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 100%;
    font-size: 10vw !important;
    max-width: initial;
    opacity:0.3;
    z-index: 9;
}

/* スクロールアニメーション */
.slider::before {
    content: "";
    display: inline-block;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0px 0px 200px 200px;
    border-color: transparent transparent #fff transparent;
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 8;
}

.scroll {
  position: relative;
  display: inline-block;
  width: 2px;
  height: 200px;
  margin-left: 29px;
  border-radius: 9999px;
  background-color: var(--wp--preset--color--mainblue);
  position: absolute;
  bottom: 30px;
  right: 70px;
  z-index: 9;
}

.scroll::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: calc(50% - 2px);
  width: 2px;
  height: 45px;
  border-radius: 9999px;
  background-color: var(--wp--preset--color--mainblue);
  transform: rotate(-45deg);
  transform-origin: 50% calc(100% - 2px);
  z-index: 9;
}

.scroll::after {
  content: "Scroll";
  color: var(--wp--preset--color--mainblue);
  background-color: #fff;
  border-radius: 10vw;
  padding: 3px 10px;
  rotate: 90deg;
  position: absolute;
  top: 10px;
  animation-name:Down;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

@keyframes Down{
/* 開始地点 */
0%{
transform: translateX(0);
}
/* 終了地点 */
100%{
transform: translateX(150px);
}
}


@media screen and (max-width:768px) {
    .slider::before {
    border-width: 0px 0px 120px 120px;
}

.scroll {
  height: 120px;
  position: absolute;
  bottom: 30px;
  right: 40px;
}

.scroll::before {
  height: 30px;
}

.scroll::after {
  left: -8px;
  animation-name:Down;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

@keyframes Down{
/* 開始地点 */
0%{
transform: translateX(0);
}
/* 終了地点 */
100%{
transform: translateX(80px);
}
}
}


/*-------------------------- フッター --------------------------*/

/* フッター全体 */
footer{
    font-weight: 200;
    margin: initial;
    position: relative;
}

footer::after{
    content: "";
    background-image: url(https://no-ble.com/wp-content/uploads/2026/01/footer_pattern.png);
    background-repeat: no-repeat;
    display: block;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position-y: bottom;
    opacity: 0.2;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
}

footer > div > div {
    padding: 30px 0 40px;
}

/* フッターを下部に固定 */
.wp-site-blocks{
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
footer{
    margin-top: auto;
}

/* 会社情報とフッターナビ */
.footer_left{
    padding-left: 40px;
}

footer .is-layout-flex {
    display: flex;
    justify-content: center;
}

/* フッターのリスト */
footer li{
    list-style: none;
}

footer ul{
    position: relative;
    z-index: 6;
}

/* 区切り線 */
.wp-block-separator{
    border-top: 1px solid;
}

/* コピーライト */
.copyright{
    padding: 10px 0;
}


/*-------------------------- TOPページ --------------------------*/
/* 私たちについて */
.top_group1{
    margin-bottom: 20px !important;
}

.top_group1 p{
    margin-top: 5px;
}

h4{
    position: relative;
    overflow: hidden;
}

h4::after{
    content:"";
    border-top: 1px solid;
    width: 100%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    margin-left: 5px;
}

.aboutus p{
    margin-top: initial;
}

/* 画像部分 */
.aboutus_img{
    position: relative;
    height: fit-content;
}

.aboutus_img::before{
    content: '';
    position: absolute;
    top: 15px;
    right: -15px;
    bottom: -15px;
    left: 15px;
    background-color: var(--wp--preset--color--subblue) !important;;
    z-index: -1;
}

.aboutus .is-layout-flex {
    display: flex;
    gap: 50px;
}

/* お知らせ */
.top_news{
    padding: 50px 0;
}

.news_inner{
    padding-top: 50px;
}

/* ボタン */
.wp-block-button{
    border: 1px solid;
    color: var(--wp--preset--color--mainblue);
    background-color: #fff;
    font-size: 20px;
    width: max(250px,30vw);
    transition:.5s;
}

.wp-block-button:hover{
    background-color: var(--wp--preset--color--mainblue);
}

.wp-block-button a{
    transition:.5s;
}

.wp-block-button a:hover{
    color: #fff !important;
}

.wp-block-buttons{
    margin-top: 50px;

}

.wp-block-button a{
    background-color: initial;
}

/*-------------------------- お知らせ --------------------------*/
.news_inner a,
.news a{
  text-decoration: none;
}

.news_inner,
.news ul{
  font-size: 20px;
}

.news_inner li,
.news li{
  border-bottom: 1px solid var(--wp--preset--color--mainblue);
}


/*-------------------------- 事業所案内 --------------------------*/
.facility_gr{
    position: relative;
    border: 1px solid var(--wp--preset--color--mainblue);
}


.facility_gr h3{
    font-size: 20px;
    line-height: 1.8;
    position: absolute;
    top: -8%;
    left: 50%;
    transform: translateX(-50%);
    width: 85%;
    color: #fff !important;
    background-color: var(--wp--preset--color--mainblue);
	padding: 0 5px;
}

.wp-block-post-excerpt__more-text a{
   color: var(--wp--preset--color--mainblue);
   font-size: 1.3rem;
}

/* 段落ち設定 */

@media screen and (max-width:899px) {
    .wp-container-core-post-template-is-layout-6d3fbd8f {
        grid-template-columns: auto auto;
    }
}

@media screen and (max-width:799px) {
    .facility_single img{
        width: 100% !important;
    }
	.wp-block-media-text.is-stacked-on-mobile {
        grid-template-columns: 100% !important;
    }
	.wp-block-media-text>.wp-block-media-text__content {
    grid-column: 1;
	grid-row: 2;}
}



/* ホバーアニメーション */

.facility_gr{
    transition: .8s ease;
}

.facility_gr:hover{
    background-color: var(--wp--preset--color--mainblue);
}

.facility_gr p,
.facility_gr a,
.facility_gr h3 
{
    transition: .8s ease;
    font-weight: 300 !important;
}

.facility_gr:hover h3{
    background-color: #fff;
    color: var(--wp--preset--color--mainblue);
    border: 1px solid var(--wp--preset--color--mainblue);
}

.facility_gr:hover h3 a{
    color: var(--wp--preset--color--mainblue);
    transform: scale(1);
}

.facility_gr:hover p,
.facility_gr:hover a{
    color: #fff;
}

.facility_gr:hover a{
    transform: scale(1.2) 
}

/* リンクオフ */
.nolink_cat a{
    pointer-events: none;
	cursor: default;
	text-decoration:none;
}

.nolink_cat {
    border-bottom: 1px solid var(--wp--preset--color--mainblue);
    padding-bottom: 5px;
    font-size: 1.2rem;
}

.facility_single_h1{
   margin-top: initial !important;
}

/* Googleマップ */
.google_map{
    display: flex;
    justify-content: center;
}

.facility_single{
    margin-top: 0 !important;
}

.facility-template-default time{
    display: none !important;
}

/* 「全て」のリスト */
.list_single{
    margin: initial;
}

/* 画像サイズ */
.facility_single img{
	width: clamp(320px,40vw, 480px);;
	height: 360px;
	object-fit: cover;
}

/* PDFダウンロード */
.wp-block-file a{
	color: var(--wp--preset--color--mainblue);
	border-bottom: solid 1px;
	font-size: 22px;
	transition: .5s ease !important;
}

.wp-block-file a:hover{
	color: #7dd7f3 !important;
}

.wp-block-file a:nth-of-type(2){
    color: var(--wp--preset--color--mainblue);
	border-radius: initial;
	padding: 0 40px 0 0;
    font-size: 22px;
	width: 150px;
	position: relative;
}

.wp-block-file a:nth-of-type(2)::after{
	content:"(PDF)";
	position: absolute;
}

/*-------------------------- 採用情報 --------------------------*/
.recruit {
    margin-top: 40px !important;
}

@media screen and (max-width: 768px) {
    .recruit {
        padding-top: 0 !important;
        margin-bottom: 60px;
    }
}

.hellowork a{
	color: var(--wp--preset--color--mainblue) !important;
	border-bottom: solid 1px !important;
	transition: .5s ease !important;
}

.hellowork a:hover{
	color: #7dd7f3 !important;
}

/*-------------------------- お問い合わせ --------------------------*/

input,
textarea {
    border: initial;
    border-bottom: 1px solid var(--wp--preset--color--mainblue);
    background-color: var(--wp--preset--color--subblue);
    color: var(--wp--preset--color--textblack);
    width: 100%;
}

input{
    height: 30px;
}

.form_container{
    color: var(--wp--preset--color--mainblue);
}

/* 送信ボタン */
.wpcf7-submit{
    border: 1px solid;
    color: var(--wp--preset--color--mainblue);
    background-color: #fff;
    font-size: 20px;
    width: 100%;
	height: 45px;
    transition:.5s;
    padding: 10px 0;
    margin-top: 50px;
}

.wpcf7-submit:hover{
    background-color: var(--wp--preset--color--mainblue);
    color: #fff !important;
}

/*-------------------------- 個人情報保護方針 --------------------------*/
.privacypolicy h2{
    margin-left: initial !important;
}

.privacypolicy {
    margin-top: 30px !important;
}

/* -------------------アニメーション（JSあり）------------------- */

/* 下からふわっと */
.fuwa {
  opacity: 0;
  visibility: hidden;
  transform: translateY(30px);
  transition: all 1s;
}
.fuwa.show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0px);
}

/* 右からスライド */
.right_slide {
  opacity: 0;
  visibility: hidden;
  transform: translateX(80px);
  transition: all 1s;
}
.right_slide.show {
  opacity: 1;
  visibility: visible;
  transform: translateX(0px);
}

.entry-content{
    overflow: hidden;
}